#396 Update gettext macros used by FLAC

1.3.0
closed-invalid
Erik
None
5
2014-03-21
2013-03-29
Brad Smith
No

The gettext macros being used by FLAC which are merged into aclocal.m4 need to be updated to the macros from gettext 0.17 or newer. The really old macros, specifically lib-link.m4, have a bug that result in the iconv library only being detected as a static library instead of a shared library and thus trying to link the static library instead of the shared library.

Discussion

  • Ben Beasley
    Ben Beasley
    2013-04-26

    This should resolve itself without any source code changes when a new release happens, right? Those macros are pulled in from the system gettext when the distribution tarball is generated.

     
  • Erik
    Erik
    2014-03-21

    • status: open --> closed-invalid
    • assigned_to: Erik
     
  • Erik
    Erik
    2014-03-21

    This should have been fixed with the release of 1.3.0. Please re-open if that is not the case.